org.eclipse.rdf4j.query.parser.sparql

## Class NegatedPropertySet

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.NegatedPropertySet

- Deprecated.
  since 3.0. This feature is for internal use only: its existence, signature or behavior may change without warning from one release to the next.

      @Deprecated
       @InternalUseOnly
      public class NegatedPropertySet
      extends Object

  A negated property set is a SPARQL construction of the form {?X !(uri|^uri) ?Y}. This class is a temporary representation used by the parser. It is converted by the TupleExprBuilder into a set of joins and filters on regular statement patterns.
  Author:
    Jeen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NegatedPropertySet()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertySetElem(PropertySetElem elem)` Deprecated.
    `Var` | `getContextVar()` Deprecated.
    `List<ValueExpr>` | `getObjectList()` Deprecated.
    `List<PropertySetElem>` | `getPropertySetElems()` Deprecated.
    `StatementPattern.Scope` | `getScope()` Deprecated.
    `Var` | `getSubjectVar()` Deprecated.
    `void` | `setContextVar(Var contextVar)` Deprecated.
    `void` | `setObjectList(List<ValueExpr> objectList)` Deprecated.
    `void` | `setPropertySetElems(List<PropertySetElem> propertySetElems)` Deprecated.
    `void` | `setScope(StatementPattern.Scope scope)` Deprecated.
    `void` | `setSubjectVar(Var subjectVar)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NegatedPropertySet

          public NegatedPropertySet()

      Deprecated.

  - ### Method Detail

    - #### setScope

          public void setScope(StatementPattern.Scope scope)

      Deprecated.
      Parameters:
        `scope` - The scope to set.

    - #### getScope

          public StatementPattern.Scope getScope()

      Deprecated.
      Returns:
        Returns the scope.

    - #### setSubjectVar

          public void setSubjectVar(Var subjectVar)

      Deprecated.
      Parameters:
        `subjectVar` - The subjectVar to set.

    - #### getSubjectVar

          public Var getSubjectVar()

      Deprecated.
      Returns:
        Returns the subjectVar.

    - #### setObjectList

          public void setObjectList(List<ValueExpr> objectList)

      Deprecated.
      Parameters:
        `objectList` - The objectList to set.

    - #### getObjectList

          public List<ValueExpr> getObjectList()

      Deprecated.
      Returns:
        Returns the objectList.

    - #### setContextVar

          public void setContextVar(Var contextVar)

      Deprecated.
      Parameters:
        `contextVar` - The contextVar to set.

    - #### getContextVar

          public Var getContextVar()

      Deprecated.
      Returns:
        Returns the contextVar.

    - #### setPropertySetElems

          public void setPropertySetElems(List<PropertySetElem> propertySetElems)

      Deprecated.
      Parameters:
        `propertySetElems` - The propertySetElems to set.

    - #### getPropertySetElems

          public List<PropertySetElem> getPropertySetElems()

      Deprecated.
      Returns:
        Returns the propertySetElems.

    - #### addPropertySetElem

          public void addPropertySetElem(PropertySetElem elem)

      Deprecated.
      Parameters:
        `elem` -

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.